<?php
/**
 * ============================================================================
 * 版权所有 福建荣升信息技术有限公司，保留所有权利。
 * 网站地址: http://www.fjrsweb.cn;
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和使用；
 * 不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
*/
header('Access-Control-Allow-Origin:*'); 
dd_session_start();
if (empty($dduser)){
    exit();	
}
$key=$webset['key'];
unset($data['val']);  //不清楚 哪里引的

$table=$_REQUEST['table'];
if ($table=="shop"){

    $table="income";
}
unset($_POST['table']);
$id=$_REQUEST['id']?$_REQUEST['id']:0;

//某表中如果有addtime字段，则改成时间chuo存储到数据库
if (db()->TableField($table,"addtime") and $_POST['addtime']){
	$_POST['addtime']=strtotime($_POST['addtime']);
}
if (db()->TableField($table,"endtime") and $_POST['endtime']){
	$_POST['endtime']=strtotime($_POST['endtime']);
}
//检查对应的类是否存在这方法
if (method_exists($table ,"post" )){
       app($table)->post($dduser);
}
unset($_POST['id']);
unset($_POST['file']);
unset($_POST['select']);

//过滤null值
foreach ($_POST as $key => $value) {
	 if ($_POST[$key]=="null")
	 	 unset($_POST[$key]);
}
if($id==0){

		trim_arr($_POST);
		//开启事务
		db()->query("BEGIN"); //或者mysql_query("START TRANSACTION");
		$id=$duoduo->insert($table,$_POST);
		if ($id>0){
			if (method_exists($table ,"complete" )){
		    	 $res=app($table)->complete($id,0);
                 if ($res==false){
                 	 db()->query("ROLLBACK");
                 	 json(1,"添加不成功");
                 }
		    }
            db()->query("COMMIT");

     
		    json(0,"添加成功");	
		    
		}else{
			json(1,"添加失败");	
		}
	}
	else{
       db()->query("BEGIN"); //或者mysql_query("START TRANSACTION");
		$res=$duoduo->update($table,$_POST,'id="'.$id.'"');
        if ($res==false){
        	 json(1,"添加不成功");
        }
		if (method_exists($table ,"complete" )){
		       $res=app($table)->complete($id,1);
                 if ($res==false){
                 	 db()->query("ROLLBACK");
                 	 json(1,"添加不成功");
                 }
		 }
		db()->query("COMMIT");
		json(0,"修改成功");	
	}

?>